#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    int8_t int8_eq_const_0_0;
    int64_t int64_eq_const_1_0;
    int8_t int8_eq_const_2_0;

    if (size < 10)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&int8_eq_const_0_0, &data[i], 1);
    i += 1;
    memcpy(&int64_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&int8_eq_const_2_0, &data[i], 1);
    i += 1;


    if (int8_eq_const_0_0 == 54)
    if (int64_eq_const_1_0 == 8865034956231574663)
    if (int8_eq_const_2_0 == -54)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
